<doxygenindex xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="index.xsd">
  <compound kind="struct" refid="structcy__stc__eeprom__config__t"><name>cy_stc_eeprom_config_t</name>
    <member kind="variable" refid="structcy__stc__eeprom__config__t_1ad41b3c5ce4619d484a648a5a4bcc0bad"><name>eepromSize</name></member>
    <member kind="variable" refid="structcy__stc__eeprom__config__t_1a69bd4219df4e0b5563332c8b271cfa73"><name>simpleMode</name></member>
    <member kind="variable" refid="structcy__stc__eeprom__config__t_1a19b32e2183e33f98f02e15e2bce4f207"><name>wearLevelingFactor</name></member>
    <member kind="variable" refid="structcy__stc__eeprom__config__t_1ad6d96546ec661d1600f92bbeb9f3fb5d"><name>redundantCopy</name></member>
    <member kind="variable" refid="structcy__stc__eeprom__config__t_1a8f6acdb1ccef76931219fdf19032188d"><name>blockingWrite</name></member>
    <member kind="variable" refid="structcy__stc__eeprom__config__t_1a686ebc626fadcdce3ffc40406f707f49"><name>userFlashStartAddr</name></member>
  </compound>
  <compound kind="struct" refid="structcy__stc__eeprom__context__t"><name>cy_stc_eeprom_context_t</name>
    <member kind="variable" refid="structcy__stc__eeprom__context__t_1a44b3f562448cbc33536f520c7eeb6976"><name>numberOfRows</name></member>
    <member kind="variable" refid="structcy__stc__eeprom__context__t_1a1136c1032e20149af06f0763849211d9"><name>eepromSize</name></member>
    <member kind="variable" refid="structcy__stc__eeprom__context__t_1a0c81c6ec6896b078744a0ae06e9925d0"><name>wearLevelingFactor</name></member>
    <member kind="variable" refid="structcy__stc__eeprom__context__t_1aa3890fbd2cd8b72c6027b3ec6b569aa6"><name>userFlashStartAddr</name></member>
    <member kind="variable" refid="structcy__stc__eeprom__context__t_1a07b2a035a1c31b8f4ea6c084e92e0bde"><name>byteInRow</name></member>
    <member kind="variable" refid="structcy__stc__eeprom__context__t_1a00649073998b271aa173eab5345878e4"><name>simpleMode</name></member>
    <member kind="variable" refid="structcy__stc__eeprom__context__t_1a29be33dbb9a3ea5e901c1b912b34f443"><name>ptrLastWrittenRow</name></member>
    <member kind="variable" refid="structcy__stc__eeprom__context__t_1a9930dd5410628e79f68927cd30bca6d3"><name>redundantCopy</name></member>
    <member kind="variable" refid="structcy__stc__eeprom__context__t_1a662b2e5e86183706701aa79280dca36d"><name>blockingWrite</name></member>
  </compound>
  <compound kind="file" refid="cy__em__eeprom_8c"><name>cy_em_eeprom.c</name>
    <member kind="function" refid="cy__em__eeprom_8c_1ac8d1683f36ff1abc61fa6cbaea07e655"><name>CheckRanges</name></member>
    <member kind="function" refid="cy__em__eeprom_8c_1a09edb15acc2156bdc50d945931eed5d9"><name>CalcChecksum</name></member>
    <member kind="function" refid="cy__em__eeprom_8c_1ade69420ca7d16ae814779a567ce9d099"><name>WriteRow</name></member>
    <member kind="function" refid="cy__em__eeprom_8c_1a2b6c5ddfa94f1cf62ea92162051f1349"><name>EraseRow</name></member>
    <member kind="function" refid="cy__em__eeprom_8c_1a33da9c22b831a5d2c58e8039b959114f"><name>CalculateRowChecksum</name></member>
    <member kind="function" refid="cy__em__eeprom_8c_1a3de7817dcea055e5efbdb5951645ad47"><name>GetStoredRowChecksum</name></member>
    <member kind="function" refid="cy__em__eeprom_8c_1aea60fd3c1b7012a864721359e8d9ecad"><name>GetStoredSeqNum</name></member>
    <member kind="function" refid="cy__em__eeprom_8c_1ab525286d1a12c1051047f3bd6a228e9d"><name>CheckRowChecksum</name></member>
    <member kind="function" refid="cy__em__eeprom_8c_1a7b95b7ed0e0db0a2fc1f0b27fb000539"><name>DefineLastWrittenRow</name></member>
    <member kind="function" refid="cy__em__eeprom_8c_1a4d69c4fd81a06149d26f9698cb137d53"><name>ReadSimpleMode</name></member>
    <member kind="function" refid="cy__em__eeprom_8c_1a16882b43f377dc58f22edf3749a3a48e"><name>ReadExtendedMode</name></member>
    <member kind="function" refid="cy__em__eeprom_8c_1ab1999afcbd1e65e9a0c09287580a5fb2"><name>WaitTillComplete</name></member>
    <member kind="function" refid="cy__em__eeprom_8c_1ad08e00f3472fcbd51b214057d9090d23"><name>WriteExtendedMode</name></member>
    <member kind="function" refid="cy__em__eeprom_8c_1af1b733f46c118b57bd370ca5014f7441"><name>WriteSimpleMode</name></member>
    <member kind="function" refid="cy__em__eeprom_8c_1a32e1e8ed6b9209e54ff29d7f1e32d595"><name>CheckLastWrittenRowIntegrity</name></member>
    <member kind="function" refid="cy__em__eeprom_8c_1a97fd331a7df7d582e1c747be3f3764de"><name>GetNextRowPointer</name></member>
    <member kind="function" refid="cy__em__eeprom_8c_1aeee74076d70f071dd66fc5f455c04832"><name>GetReadRowPointer</name></member>
    <member kind="function" refid="cy__em__eeprom_8c_1a949744555aa6ff6e864fef95d470760b"><name>CopyHistoricData</name></member>
    <member kind="function" refid="cy__em__eeprom_8c_1a0384dc67f42c6f8556ba0fa6886ee1f0"><name>CopyHeadersData</name></member>
    <member kind="function" refid="group__group__em__eeprom__functions_1gab9f608d788f1a854b10c652c3bb00fdd"><name>Cy_Em_EEPROM_Init</name></member>
    <member kind="function" refid="group__group__em__eeprom__functions_1ga9e14084e3054f6f147004d2914f9216d"><name>Cy_Em_EEPROM_Read</name></member>
    <member kind="function" refid="group__group__em__eeprom__functions_1gaa792ff05d2b6ee71b44f1faeb2b68886"><name>Cy_Em_EEPROM_Write</name></member>
    <member kind="function" refid="group__group__em__eeprom__functions_1gad61dbc3c01d2bbf96e0c0d5b6d2e0b61"><name>Cy_Em_EEPROM_Erase</name></member>
    <member kind="function" refid="group__group__em__eeprom__functions_1gad7fb39640526ce706a7867d955d2b275"><name>Cy_Em_EEPROM_NumWrites</name></member>
  </compound>
  <compound kind="file" refid="cy__em__eeprom_8h"><name>cy_em_eeprom.h</name>
    <member kind="define" refid="group__group__em__eeprom__macros_1gab0bf9bfb139a2298c6178b8e801c9614"><name>CY_EM_EEPROM_MW_VERSION_MAJOR</name></member>
    <member kind="define" refid="group__group__em__eeprom__macros_1ga15ba88c4930fbc76af0863e9aa2c7ece"><name>CY_EM_EEPROM_MW_VERSION_MINOR</name></member>
    <member kind="define" refid="group__group__em__eeprom__macros_1ga2ad924c909a5cf17ed0a6b9e78b674b6"><name>CY_EM_EEPROM_ID</name></member>
    <member kind="define" refid="group__group__em__eeprom__macros_1ga1bdd4ebbd18469d5f450b66a31bc649a"><name>CY_EM_EEPROM_ID_ERROR</name></member>
    <member kind="define" refid="group__group__em__eeprom__macros_1gafcfe832fb11038d572c8616962459e51"><name>CY_EM_EEPROM_FLASH_SIZEOF_ROW</name></member>
    <member kind="define" refid="group__group__em__eeprom__macros_1gad3f22fd154e4be09faa0c3bf6de4c95e"><name>CY_EM_EEPROM_EEPROM_DATA_LEN</name></member>
    <member kind="define" refid="group__group__em__eeprom__macros_1ga52c814cb9edacaf616d9e467480220b1"><name>CY_EM_EEPROM_GET_NUM_ROWS_IN_EEPROM</name></member>
    <member kind="define" refid="group__group__em__eeprom__macros_1ga1362fc2cdec8a779fb71f9db031f8df5"><name>CY_EM_EEPROM_GET_NUM_DATA</name></member>
    <member kind="define" refid="group__group__em__eeprom__macros_1gaedb7ebd5ea6efe79173c6582003420fb"><name>CY_EM_EEPROM_GET_PHYSICAL_SIZE</name></member>
    <member kind="define" refid="cy__em__eeprom_8h_1ad0cc2d206d0b89b6d32285bb17b371c4"><name>CY_EM_EEPROM_FLASH_BASE_ADDR</name></member>
    <member kind="define" refid="cy__em__eeprom_8h_1a16262080b9460b1cd11943e2505ea322"><name>CY_EM_EEPROM_FLASH_SIZE</name></member>
    <member kind="define" refid="cy__em__eeprom_8h_1a8efbabac3cc3deca0601108763a93d96"><name>CY_EM_EEPROM_EM_EEPROM_BASE_ADDR</name></member>
    <member kind="define" refid="cy__em__eeprom_8h_1abe43eda35ab340bfc45e5fd7183838ce"><name>CY_EM_EEPROM_EM_EEPROM_SIZE</name></member>
    <member kind="define" refid="cy__em__eeprom_8h_1ae14bc9ed4b93327890902abd338610fd"><name>CY_EM_EEPROM_EM_EEPROM_END_ADDR</name></member>
    <member kind="define" refid="cy__em__eeprom_8h_1a3fb33117e64bd54b5c93e42198c99874"><name>CY_EM_EEPROM_FLASH_END_ADDR</name></member>
    <member kind="define" refid="cy__em__eeprom_8h_1add5bc8888d9a7985b682fa764ee12299"><name>CY_EM_EEPROM_IS_IN_FLASH_RANGE</name></member>
    <member kind="define" refid="cy__em__eeprom_8h_1a5bf5c9a6fd663ee6ee9dc42f299912fd"><name>CY_EM_EEPROM_HEADER_DATA_LEN</name></member>
    <member kind="define" refid="cy__em__eeprom_8h_1aefa07284ccfbb22eaa88e635f35b6503"><name>CY_EM_EEPROM_IS_ADDRESES_CROSSING</name></member>
    <member kind="define" refid="cy__em__eeprom_8h_1aefa07284ccfbb22eaa88e635f35b6503"><name>CY_EM_EEPROM_IS_ADDRESES_CROSSING</name></member>
    <member kind="define" refid="cy__em__eeprom_8h_1a583e7ce89347000470429487c56636f9"><name>CY_EM_EEPROM_IS_ADDR_IN_ROW_RANGE</name></member>
    <member kind="define" refid="cy__em__eeprom_8h_1ae54482a6ff788bd6cbc834436df348aa"><name>CY_EM_EEPROM_CRC8_POLYNOM</name></member>
    <member kind="define" refid="cy__em__eeprom_8h_1af03ab8a40d756470da0eef19c98b4a8f"><name>CY_EM_EEPROM_CRC8_POLYNOM_LEN</name></member>
    <member kind="define" refid="cy__em__eeprom_8h_1aefd34c635027056d306fd7755bcd5180"><name>CY_EM_EEPROM_CRC8_SEED</name></member>
    <member kind="define" refid="cy__em__eeprom_8h_1ac5d9461063ffa2753f2a05aa46d2edd0"><name>CY_EM_EEPROM_CRC8_XOR_VAL</name></member>
    <member kind="define" refid="cy__em__eeprom_8h_1a798c8b926fac2a57f8c68c16c00b4a75"><name>CY_EM_EEPROM_CALCULATE_CRC8</name></member>
    <member kind="define" refid="cy__em__eeprom_8h_1a416d1dac4f2eac6d7987b419548e92b1"><name>CY_EM_EEPROM_HISTORIC_DATA_OFFSET_U32</name></member>
    <member kind="define" refid="cy__em__eeprom_8h_1ac6bad351cff68bb63cf8ad46e5381bdc"><name>CY_EM_EEPROM_HEADER_CHECKSUM_OFFSET_U32</name></member>
    <member kind="define" refid="cy__em__eeprom_8h_1a9a6f848f1ef2a2fe4c6e76140ee27046"><name>CY_EM_EEPROM_HEADER_SEQ_NUM_OFFSET_U32</name></member>
    <member kind="define" refid="cy__em__eeprom_8h_1ac81e812b65275ea608c0565dd22ad834"><name>CY_EM_EEPROM_HEADER_ADDR_OFFSET_U32</name></member>
    <member kind="define" refid="cy__em__eeprom_8h_1a900ea6c03672ea4113fbf677b973c70a"><name>CY_EM_EEPROM_HEADER_LEN_OFFSET_U32</name></member>
    <member kind="define" refid="cy__em__eeprom_8h_1a6fd96c8091fd3bb9efa60ddabf61301c"><name>CY_EM_EEPROM_HEADER_DATA_OFFSET_U32</name></member>
    <member kind="define" refid="cy__em__eeprom_8h_1a04f6f824c47198f2b5cbfc17d911698b"><name>CY_EM_EEPROM_FLASH_SIZEOF_ROW_U32</name></member>
    <member kind="define" refid="cy__em__eeprom_8h_1a317e135bc74898fdb0a7795c5871cb2b"><name>CY_EM_EEPROM_HISTORIC_DATA_OFFSET</name></member>
    <member kind="define" refid="cy__em__eeprom_8h_1ad590863d4751a8b6cc1a0eb1a9a47334"><name>CY_EM_EEPROM_HEADER_CHECKSUM_OFFSET</name></member>
    <member kind="define" refid="cy__em__eeprom_8h_1a2603693bf6c0fd79fd9dcb75327dc401"><name>CY_EM_EEPROM_HEADER_ADDR_OFFSET</name></member>
    <member kind="define" refid="cy__em__eeprom_8h_1a719a0d38677efe5fa486d36268b2ee0c"><name>CY_EM_EEPROM_HEADER_LEN_OFFSET</name></member>
    <member kind="define" refid="cy__em__eeprom_8h_1ac317406981dae965c686098aaca33828"><name>CY_EM_EEPROM_HEADER_DATA_OFFSET</name></member>
    <member kind="define" refid="cy__em__eeprom_8h_1ad5986d0a408ca4316fecec63fd214fd8"><name>CY_EM_EEPROM_U32</name></member>
    <member kind="define" refid="cy__em__eeprom_8h_1a2025a55f2ec50436f438637a50af2f83"><name>CY_EM_EEPROM_MAX_WEAR_LEVELING_FACTOR</name></member>
    <member kind="define" refid="cy__em__eeprom_8h_1aedd4a90a25a2696c8a8d8e43a654fb07"><name>CY_EM_EEPROM_MAX_WRITE_DURATION_MS</name></member>
    <member kind="define" refid="cy__em__eeprom_8h_1a81e0cc390220f532a2a7b5808859af84"><name>CY_EM_EEPROM_VERSION_MAJOR</name></member>
    <member kind="define" refid="cy__em__eeprom_8h_1a4a33bdbbe5b227c59c359e13009f34a4"><name>CY_EM_EEPROM_VERSION_MINOR</name></member>
    <member kind="enum" refid="group__group__em__eeprom__enums_1ga00cb0e6ed68329cd7aba18e3a93e13d2"><name>cy_en_em_eeprom_status_t</name></member>
    <member kind="enumvalue" refid="group__group__em__eeprom__enums_1gga00cb0e6ed68329cd7aba18e3a93e13d2a76c897909d04df4dcbe9a901aa3a0fde"><name>CY_EM_EEPROM_SUCCESS</name></member>
    <member kind="enumvalue" refid="group__group__em__eeprom__enums_1gga00cb0e6ed68329cd7aba18e3a93e13d2a3a60e8bda0d0f453015522f1aa761956"><name>CY_EM_EEPROM_BAD_PARAM</name></member>
    <member kind="enumvalue" refid="group__group__em__eeprom__enums_1gga00cb0e6ed68329cd7aba18e3a93e13d2a303428d654a6313bfac66e56d7e3dd4d"><name>CY_EM_EEPROM_BAD_CHECKSUM</name></member>
    <member kind="enumvalue" refid="group__group__em__eeprom__enums_1gga00cb0e6ed68329cd7aba18e3a93e13d2a16252cb6d3b9e7318d4e4935005e7f59"><name>CY_EM_EEPROM_BAD_DATA</name></member>
    <member kind="enumvalue" refid="group__group__em__eeprom__enums_1gga00cb0e6ed68329cd7aba18e3a93e13d2a76c360c7a3688c44efd2d5ab46814cd3"><name>CY_EM_EEPROM_WRITE_FAIL</name></member>
    <member kind="enumvalue" refid="group__group__em__eeprom__enums_1gga00cb0e6ed68329cd7aba18e3a93e13d2a88d2e935967ca619987c78a194bbca5e"><name>CY_EM_EEPROM_REDUNDANT_COPY_USED</name></member>
    <member kind="function" refid="group__group__em__eeprom__functions_1gab9f608d788f1a854b10c652c3bb00fdd"><name>Cy_Em_EEPROM_Init</name></member>
    <member kind="function" refid="group__group__em__eeprom__functions_1ga9e14084e3054f6f147004d2914f9216d"><name>Cy_Em_EEPROM_Read</name></member>
    <member kind="function" refid="group__group__em__eeprom__functions_1gaa792ff05d2b6ee71b44f1faeb2b68886"><name>Cy_Em_EEPROM_Write</name></member>
    <member kind="function" refid="group__group__em__eeprom__functions_1gad61dbc3c01d2bbf96e0c0d5b6d2e0b61"><name>Cy_Em_EEPROM_Erase</name></member>
    <member kind="function" refid="group__group__em__eeprom__functions_1gad7fb39640526ce706a7867d955d2b275"><name>Cy_Em_EEPROM_NumWrites</name></member>
  </compound>
  <compound kind="group" refid="group__group__em__eeprom__macros"><name>group_em_eeprom_macros</name>
    <member kind="define" refid="group__group__em__eeprom__macros_1gab0bf9bfb139a2298c6178b8e801c9614"><name>CY_EM_EEPROM_MW_VERSION_MAJOR</name></member>
    <member kind="define" refid="group__group__em__eeprom__macros_1ga15ba88c4930fbc76af0863e9aa2c7ece"><name>CY_EM_EEPROM_MW_VERSION_MINOR</name></member>
    <member kind="define" refid="group__group__em__eeprom__macros_1ga2ad924c909a5cf17ed0a6b9e78b674b6"><name>CY_EM_EEPROM_ID</name></member>
    <member kind="define" refid="group__group__em__eeprom__macros_1ga1bdd4ebbd18469d5f450b66a31bc649a"><name>CY_EM_EEPROM_ID_ERROR</name></member>
    <member kind="define" refid="group__group__em__eeprom__macros_1gafcfe832fb11038d572c8616962459e51"><name>CY_EM_EEPROM_FLASH_SIZEOF_ROW</name></member>
    <member kind="define" refid="group__group__em__eeprom__macros_1gad3f22fd154e4be09faa0c3bf6de4c95e"><name>CY_EM_EEPROM_EEPROM_DATA_LEN</name></member>
    <member kind="define" refid="group__group__em__eeprom__macros_1ga52c814cb9edacaf616d9e467480220b1"><name>CY_EM_EEPROM_GET_NUM_ROWS_IN_EEPROM</name></member>
    <member kind="define" refid="group__group__em__eeprom__macros_1ga1362fc2cdec8a779fb71f9db031f8df5"><name>CY_EM_EEPROM_GET_NUM_DATA</name></member>
    <member kind="define" refid="group__group__em__eeprom__macros_1gaedb7ebd5ea6efe79173c6582003420fb"><name>CY_EM_EEPROM_GET_PHYSICAL_SIZE</name></member>
  </compound>
  <compound kind="group" refid="group__group__em__eeprom__functions"><name>group_em_eeprom_functions</name>
    <member kind="function" refid="group__group__em__eeprom__functions_1gab9f608d788f1a854b10c652c3bb00fdd"><name>Cy_Em_EEPROM_Init</name></member>
    <member kind="function" refid="group__group__em__eeprom__functions_1ga9e14084e3054f6f147004d2914f9216d"><name>Cy_Em_EEPROM_Read</name></member>
    <member kind="function" refid="group__group__em__eeprom__functions_1gaa792ff05d2b6ee71b44f1faeb2b68886"><name>Cy_Em_EEPROM_Write</name></member>
    <member kind="function" refid="group__group__em__eeprom__functions_1gad61dbc3c01d2bbf96e0c0d5b6d2e0b61"><name>Cy_Em_EEPROM_Erase</name></member>
    <member kind="function" refid="group__group__em__eeprom__functions_1gad7fb39640526ce706a7867d955d2b275"><name>Cy_Em_EEPROM_NumWrites</name></member>
  </compound>
  <compound kind="group" refid="group__group__em__eeprom__data__structures"><name>group_em_eeprom_data_structures</name>
  </compound>
  <compound kind="group" refid="group__group__em__eeprom__enums"><name>group_em_eeprom_enums</name>
    <member kind="enum" refid="group__group__em__eeprom__enums_1ga00cb0e6ed68329cd7aba18e3a93e13d2"><name>cy_en_em_eeprom_status_t</name></member>
    <member kind="enumvalue" refid="group__group__em__eeprom__enums_1gga00cb0e6ed68329cd7aba18e3a93e13d2a76c897909d04df4dcbe9a901aa3a0fde"><name>CY_EM_EEPROM_SUCCESS</name></member>
    <member kind="enumvalue" refid="group__group__em__eeprom__enums_1gga00cb0e6ed68329cd7aba18e3a93e13d2a3a60e8bda0d0f453015522f1aa761956"><name>CY_EM_EEPROM_BAD_PARAM</name></member>
    <member kind="enumvalue" refid="group__group__em__eeprom__enums_1gga00cb0e6ed68329cd7aba18e3a93e13d2a303428d654a6313bfac66e56d7e3dd4d"><name>CY_EM_EEPROM_BAD_CHECKSUM</name></member>
    <member kind="enumvalue" refid="group__group__em__eeprom__enums_1gga00cb0e6ed68329cd7aba18e3a93e13d2a16252cb6d3b9e7318d4e4935005e7f59"><name>CY_EM_EEPROM_BAD_DATA</name></member>
    <member kind="enumvalue" refid="group__group__em__eeprom__enums_1gga00cb0e6ed68329cd7aba18e3a93e13d2a76c360c7a3688c44efd2d5ab46814cd3"><name>CY_EM_EEPROM_WRITE_FAIL</name></member>
    <member kind="enumvalue" refid="group__group__em__eeprom__enums_1gga00cb0e6ed68329cd7aba18e3a93e13d2a88d2e935967ca619987c78a194bbca5e"><name>CY_EM_EEPROM_REDUNDANT_COPY_USED</name></member>
  </compound>
  <compound kind="group" refid="indexpage"><name>index</name>
  </compound>
</doxygenindex>